package com.muyu.service.serviceImpl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.Datas;
import com.muyu.domain.SourceData;
import com.muyu.domain.TableInfo;
import com.muyu.mapper.SourceMapper;
import com.muyu.service.TableInfoService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.service.serviceImpl
 * @Project：engine
 * @name：TableInfoServiceImpl
 * @Date：2024/9/6 15:01
 */
@Log4j2
@Service
public class TableInfoServiceImpl extends ServiceImpl<SourceMapper, TableInfo> implements TableInfoService {
    @Override
    public TableInfo selectDataBaseName(Long basicId) {
        return baseMapper.selectById(basicId);
    }

    @Override
    public List<Datas> selectDataBase() {
        List<Datas> dataSources = baseMapper.selectDataBase();
        return dataSources;
    }

    @Override
    public List<SourceData> selectData() {
        List<SourceData> dataSources = baseMapper.selectData();
        return dataSources;
    }
}
