package com.muyu.abstracts;

import com.muyu.BasicEngine;
import com.muyu.handler.DataEngineValueHandler;

public abstract class DataEngineValueActuator implements BasicEngine<DataValue> {

    public void set(DataValue dataValue) {
        DataEngineValueHandler.set(dataValue);
    }

    public DataValue get() {
        return DataEngineValueHandler.get();
    }


    @Override
    public void execution() {
        this.run();
        this.remove();
    }

    public abstract void run();

}
