package com.muyu.controller;

import com.muyu.common.core.web.controller.BaseController;
import com.muyu.domain.Datas;
import com.muyu.domain.SourceData;
import com.muyu.domain.TableInfo;
import com.muyu.domain.TableInfoResp;
import com.muyu.domain.constants.Result;
import com.muyu.service.TableInfoService;
import jakarta.validation.constraints.NotNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.controller
 * @Project：engine
 * @name：SourceDataController
 * @Date：2024/9/6 14:58
 */
@RestController
@RequestMapping("/source")
public class SourceDataController extends BaseController {

    @Autowired
    TableInfoService tableInfoService;

//    //查询所有的数据进行
//    @GetMapping("/findTableInfoList")
//    public Result findByTableName() {
//        List<TableInfo> list = tableInfoService.list();
//        List<TableInfoResp> respList = list.stream().filter(tableInfo -> tableInfo.getParentId() == 0).map(tableInfo -> {
//            TableInfoResp tableInfoResp = TableInfo.toTableInfoResp(tableInfo);
//            tableInfoResp.setChildren(getChildren(tableInfo, list));
//            return tableInfoResp;
//        }).toList();
//        return Result.success(respList);
//    }
//
//    @NotNull
//    private static List<TableInfoResp> getChildren(TableInfo tableInfo, List<TableInfo> list) {
//        return list.stream().filter(tableInfo1 -> tableInfo1.getParentId().equals(tableInfo.getId())).map(
//                tableInfo2 -> TableInfo.toTableInfoResp(tableInfo2)
//        ).toList();
//    }
//
//    /**
//     * 查询数据库名称根据id
//     *
//     * @param basicId
//     * @return
//     */
//    @PostMapping("/databaseByBasicId/{basicId}")
//    public Result databaseByBasicId(@PathVariable Long basicId) {
//        return Result.success(tableInfoService.getById(basicId));
//    }
//
//    @PostMapping("/selectDataBaseName/{basicId}")
//    public Result selectDataBaseName(@PathVariable Long basicId) {
//       TableInfo tableInfo = tableInfoService.selectDataBaseName(basicId);
//       return Result.success(tableInfo);
//    }

   @PostMapping("/selectDataBase")
    public List<Datas> selectDataBase(){
    List<Datas>  dataSources =  tableInfoService.selectDataBase();
        return dataSources;
   }

   @PostMapping("/selectData")
    public List<SourceData> selectData(){
       List<SourceData>  dataSources =  tableInfoService.selectData();
       return dataSources;
   }
}
